SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros | Typedefs
StatisticsHistory.h File Reference

Input numerical values over time. Get sum, average, highest, lowest, standard deviation on recent or all-time values. More...

`#include "NativeFeatureIncludes.h"`
`#include "PluginInterface2.h"`
`#include "memoryoverride.h"`
`#include "NativeTypes.h"`
`#include "DS_List.h"`
`#include "types.h"`
`#include "DS_OrderedList.h"`
`#include "string.h"`
`#include "DS_Queue.h"`
`#include "DS_Hash.h"`
`#include <float.h>`

Go to the source code of this file.

## Classes

class | SLNet::StatisticsHistory
| Input numerical values over time. Get sum, average, highest, lowest, standard deviation on recent or all-time values. More...
struct | SLNet::StatisticsHistory::TrackedObjectData
struct | SLNet::StatisticsHistory::TimeAndValue
struct | SLNet::StatisticsHistory::TimeAndValueQueue
struct | SLNet::StatisticsHistory::TrackedObject
class | SLNet::StatisticsHistoryPlugin
| Input numerical values over time. Get sum, average, highest, lowest, standard deviation on recent or all-time values. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Macros

#define | SH_TYPE_MAX DBL_MAX

## Typedefs

typedef double | SLNet::SHValueType

## Detailed Description

Input numerical values over time. Get sum, average, highest, lowest, standard deviation on recent or all-time values.

Definition in file StatisticsHistory.h.

## Class Documentation

struct SLNet::StatisticsHistory::TimeAndValue

Definition at line 129 of file StatisticsHistory.h.

Class Members
Time | time |
SHValueType | val |

## Macro Definition Documentation

#define SH_TYPE_MAX DBL_MAX

Definition at line 44 of file StatisticsHistory.h.